package com.goafanti.common.model;

import java.io.Serializable;
import java.util.Date;

/**
 * 客户跟进表
 * @TableName user_follow
 */
public class UserFollow implements Serializable {
    /**
     * 
     */
    private String id;

    /**
     * 客户ID
     */
    private String uid;

    /**
     * 营销员ID
     */
    private String aid;

    /**
     * 营销员上级集合
     */
    private String paid;

    /**
     * 跟进结果
     */
    private String result;

    /**
     * 附件地址
     */
    private String attachmentUrl;

    /**
     * 跟进时间
     */
    private Date createTime;

    /**
     * 企业联系人ID
     */
    private String ocbId;

    /**
     * 联系方式 0外出 1.电话 2.QQ 3.微信  4邮件 5公出打卡
     */
    private Integer contactType;

    /**
     * 生效标示 0-有效 1-失效
     */
    private Integer effective;

    /**
     * 时间戳
     */
    private Date timeStamp;

    /**
     * 累计拜访次数
     */
    private Integer followCount;

    /**
     * 指导意见
     */
    private String guidance;

    /**
     * 指导时间
     */
    private Date guidanceTime;

    /**
     * 指导人编号
     */
    private String guidanceAid;

    /**
     * 指导人名称
     */
    private String guidanceName;

    /**
     * 跟进人名称
     */
    private String followName;

    /**
     * 跟进人部门
     */
    private String followDep;

    /**
     * 0 客户跟进 1项目跟进
     */
    private Integer type;

    /**
     * 项目编号
     */
    private String pid;

    private static final long serialVersionUID = 1L;

    /**
     * 
     */
    public String getId() {
        return id;
    }

    /**
     * 
     */
    public void setId(String id) {
        this.id = id;
    }

    /**
     * 客户ID
     */
    public String getUid() {
        return uid;
    }

    /**
     * 客户ID
     */
    public void setUid(String uid) {
        this.uid = uid;
    }

    /**
     * 营销员ID
     */
    public String getAid() {
        return aid;
    }

    /**
     * 营销员ID
     */
    public void setAid(String aid) {
        this.aid = aid;
    }

    /**
     * 营销员上级集合
     */
    public String getPaid() {
        return paid;
    }

    /**
     * 营销员上级集合
     */
    public void setPaid(String paid) {
        this.paid = paid;
    }

    /**
     * 跟进结果
     */
    public String getResult() {
        return result;
    }

    /**
     * 跟进结果
     */
    public void setResult(String result) {
        this.result = result;
    }

    /**
     * 附件地址
     */
    public String getAttachmentUrl() {
        return attachmentUrl;
    }

    /**
     * 附件地址
     */
    public void setAttachmentUrl(String attachmentUrl) {
        this.attachmentUrl = attachmentUrl;
    }

    /**
     * 跟进时间
     */
    public Date getCreateTime() {
        return createTime;
    }

    /**
     * 跟进时间
     */
    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    /**
     * 企业联系人ID
     */
    public String getOcbId() {
        return ocbId;
    }

    /**
     * 企业联系人ID
     */
    public void setOcbId(String ocbId) {
        this.ocbId = ocbId;
    }

    /**
     * 联系方式 0外出 1.电话 2.QQ 3.微信  4邮件 5公出打卡
     */
    public Integer getContactType() {
        return contactType;
    }

    /**
     * 联系方式 0外出 1.电话 2.QQ 3.微信  4邮件 5公出打卡
     */
    public void setContactType(Integer contactType) {
        this.contactType = contactType;
    }

    /**
     * 生效标示 0-有效 1-失效
     */
    public Integer getEffective() {
        return effective;
    }

    /**
     * 生效标示 0-有效 1-失效
     */
    public void setEffective(Integer effective) {
        this.effective = effective;
    }

    /**
     * 时间戳
     */
    public Date getTimeStamp() {
        return timeStamp;
    }

    /**
     * 时间戳
     */
    public void setTimeStamp(Date timeStamp) {
        this.timeStamp = timeStamp;
    }

    /**
     * 累计拜访次数
     */
    public Integer getFollowCount() {
        return followCount;
    }

    /**
     * 累计拜访次数
     */
    public void setFollowCount(Integer followCount) {
        this.followCount = followCount;
    }

    /**
     * 指导意见
     */
    public String getGuidance() {
        return guidance;
    }

    /**
     * 指导意见
     */
    public void setGuidance(String guidance) {
        this.guidance = guidance;
    }

    /**
     * 指导时间
     */
    public Date getGuidanceTime() {
        return guidanceTime;
    }

    /**
     * 指导时间
     */
    public void setGuidanceTime(Date guidanceTime) {
        this.guidanceTime = guidanceTime;
    }

    /**
     * 指导人编号
     */
    public String getGuidanceAid() {
        return guidanceAid;
    }

    /**
     * 指导人编号
     */
    public void setGuidanceAid(String guidanceAid) {
        this.guidanceAid = guidanceAid;
    }

    /**
     * 指导人名称
     */
    public String getGuidanceName() {
        return guidanceName;
    }

    /**
     * 指导人名称
     */
    public void setGuidanceName(String guidanceName) {
        this.guidanceName = guidanceName;
    }

    /**
     * 跟进人名称
     */
    public String getFollowName() {
        return followName;
    }

    /**
     * 跟进人名称
     */
    public void setFollowName(String followName) {
        this.followName = followName;
    }

    /**
     * 跟进人部门
     */
    public String getFollowDep() {
        return followDep;
    }

    /**
     * 跟进人部门
     */
    public void setFollowDep(String followDep) {
        this.followDep = followDep;
    }

    /**
     * 0 客户跟进 1项目跟进
     */
    public Integer getType() {
        return type;
    }

    /**
     * 0 客户跟进 1项目跟进
     */
    public void setType(Integer type) {
        this.type = type;
    }

    /**
     * 项目编号
     */
    public String getPid() {
        return pid;
    }

    /**
     * 项目编号
     */
    public void setPid(String pid) {
        this.pid = pid;
    }
}